Skip to main content

Create a service request for Buildium

POSThttps://api.propexo.com/v1/service-requests/buildium/
InterfaceMethod
Work OrdersPOST /workorders
Notice

This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    employee_idstringrequired

    The Propexo unique identifier for the employee

    integration_idstringrequired

    The Propexo unique identifier for the integration

    vendor_idstringrequired

    The Propexo unique identifier for the vendor

    property_idstringrequired

    The Propexo unique identifier for the property

    resident_idstring

    The Propexo unique identifier for the resident

    unit_idstring

    The Propexo unique identifier for the unit

    service_descriptionstringrequired

    A description of the service request

    Possible values: <= 127 characters

    service_prioritystringrequired

    The priority level associated with the service request

    Show 3 enum values
    LowNormalHigh
    service_statusstringrequired

    The status associated with the service request

    Show 5 enum values
    NewInProgressCompletedDeferredClosed
    access_is_authorizedboolean

    Whether or not the tenant has granted permission to enter the unit associated with the service request

    service_detailsstring

    Details about the service request

    Possible values: <= 65535 characters

    access_notesstring

    Notes regarding access to the unit associated with the service request

    Possible values: <= 65535 characters

    date_duestring<date-time>

    The due date associated with the service request

    invoice_numberstring

    The invoice or reference number that the vendor assigned to the service request

    notesstring

    Notes associated with the service request

    Possible values: <= 65535 characters

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    employee_idstringrequired

    The Propexo unique identifier for the employee

    integration_idstringrequired

    The Propexo unique identifier for the integration

    vendor_idstringrequired

    The Propexo unique identifier for the vendor

    property_idstringrequired

    The Propexo unique identifier for the property

    resident_idstring | nullnullablerequired

    The Propexo unique identifier for the resident

    unit_idstring | nullnullablerequired

    The Propexo unique identifier for the unit

    service_descriptionstringrequired

    A description of the service request

    Possible values: <= 127 characters

    service_prioritystringrequired

    The priority level associated with the service request

    Show 3 enum values
    LowNormalHigh
    service_statusstringrequired

    The status associated with the service request

    Show 5 enum values
    NewInProgressCompletedDeferredClosed
    access_is_authorizedboolean | nullnullablerequired

    Whether or not the tenant has granted permission to enter the unit associated with the service request

    service_detailsstring | nullnullablerequired

    Details about the service request

    Possible values: <= 65535 characters

    access_notesstring | nullnullablerequired

    Notes regarding access to the unit associated with the service request

    Possible values: <= 65535 characters

    date_due(string | null)<date-time>nullablerequired

    The due date associated with the service request

    invoice_numberstring | nullnullablerequired

    The invoice or reference number that the vendor assigned to the service request

    notesstring | nullnullablerequired

    Notes associated with the service request

    Possible values: <= 65535 characters

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/service-requests/buildium/
curl -X POST https://api.propexo.com/v1/service-requests/buildium/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"employee_id": "string",
"integration_id": "string",
"vendor_id": "string",
"property_id": "string",
"service_description": "string",
"service_priority": "Low",
"service_status": "New"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"employee_id": "string",
"integration_id": "string",
"vendor_id": "string",
"property_id": "string",
"resident_id": "string",
"unit_id": "string",
"service_description": "string",
"service_priority": "Low",
"service_status": "New",
"access_is_authorized": true,
"service_details": "string",
"access_notes": "string",
"date_due": "2024-07-29T15:51:28.071Z",
"invoice_number": "string",
"notes": "string"
}
}